//MyIndexBuffer.h
#ifndef __MYINDEXBUFFER_H
#define __MYINDEXBUFFER_H

class MyIndexBuffer
{
public:
    MyIndexBuffer();
    ~MyIndexBuffer() { Release(); }

    bool CreateBuffer( IDirect3DDevice9* pDevice, UINT numIndices, D3DFORMAT format, bool bDynamic = false );
    void Release();
    bool SetData( UINT numIndices, void *pIndices, DWORD flags = D3DLOCK_DISCARD );
    IDirect3DIndexBuffer9*  GetBuffer() { return m_pIB; }
    
private:
    IDirect3DIndexBuffer9*  m_pIB;
    UINT                    m_numIndices;
};

#endif